## org.apache.batik.anim
Class AnimationEngine.AnimationInfo

    java.lang.Object
      org.apache.batik.anim.AnimationEngine.AnimationInfo

Enclosing class:
  AnimationEngine

    protected static class AnimationEngine.AnimationInfo

extends java.lang.Object

Class to hold target information of an animation.

Field Summary
`java.lang.String` `attributeLocalName` The local name of the attribute or the name of the CSS property to animate.
`java.lang.String` `attributeNamespaceURI` The namespace URI of the attribute to animate, if this is an XML attribute animation.
`AnimationTarget` `target` The target of the animation.
`short` `type` The type of animation.

Constructor Summary
`protected` `AnimationEngine.AnimationInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    public AnimationTarget target

  The target of the animation.

### type

    public short type

  The type of animation. Must be one of the `ANIM_TYPE_*` constants defined in `AnimationEngine`.

### attributeNamespaceURI

    public java.lang.String attributeNamespaceURI

  The namespace URI of the attribute to animate, if this is an XML attribute animation.

### attributeLocalName

    public java.lang.String attributeLocalName

  The local name of the attribute or the name of the CSS property to animate.

Constructor Detail

### AnimationEngine.AnimationInfo

    protected AnimationEngine.AnimationInfo()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.